:man_page: mongoc_stream_buffered_t

mongoc_stream_buffered_t
========================

Synopsis
--------

.. code-block:: c

  typedef struct _mongoc_stream_buffered_t mongoc_stream_buffered_t;

Description
-----------

``mongoc_stream_buffered_t`` should be considered a subclass of :symbol:`mongoc_stream_t`. It performs buffering on an underlying stream.

See Also
--------

:doc:`mongoc_stream_buffered_new() <mongoc_stream_buffered_new>`

:doc:`mongoc_stream_destroy() <mongoc_stream_destroy>`

